> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enso.build/llms.txt
> Use this file to discover all available pages before exploring further.

# All Protocols

> Returns all available protocols with supported chains



## OpenAPI

````yaml /public/openapi.json get /api/v1/protocols
openapi: 3.0.0
info:
  title: Enso API
  description: >-
    #### Enso API

    - Find detailed documentation on
    [docs.enso.finance](https://docs.enso.finance).

    - To use the API, **you must include your API Key in the Authorization
    header** (Bearer format).

    - For testing, Swagger pre-authorizes you using the key:
    `1e02632d-6feb-4a75-a157-documentation` (1rps).

    - Get your own API Key at
    [enso.finance/developers](https://enso.finance/developers).
  version: 1.0.1
  contact: {}
servers:
  - url: https://api.enso.build
security:
  - {}
tags:
  - name: shortcuts
    description: ''
paths:
  /api/v1/protocols:
    get:
      tags:
        - Integration
      summary: All Protocols
      description: Returns all available protocols with supported chains
      operationId: ProtocolsController_findAll
      parameters:
        - name: chainId
          required: false
          in: query
          description: Chain ID of the network to search for
          schema:
            example: '1'
        - name: slug
          required: false
          in: query
          description: slug of the project to search for
          schema:
            example: uniswap-v2
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ProtocolModel'
components:
  schemas:
    ProtocolModel:
      type: object
      properties:
        project:
          type: string
          example: uniswap
        slug:
          type: string
          example: uniswap-v2
        name:
          type: string
          example: Uniswap V2
          nullable: true
        description:
          type: string
          nullable: true
        url:
          type: string
          example: https://app.uniswap.org/swap
          nullable: true
        logosUri:
          example: https://icons.llama.fi/uniswap-v2.png
          nullable: true
          type: array
          items:
            type: string
        chains:
          nullable: true
          example:
            - id: 1
              name: mainnet
          type: array
          items:
            $ref: '#/components/schemas/Network'
      required:
        - project
        - slug
        - name
        - description
        - url
        - logosUri
        - chains
    Network:
      type: object
      properties:
        id:
          type: number
        name:
          type: string
      required:
        - id
        - name

````